#
# spec file for package yauap (Version 0.2.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake avahi avahi-glib bash binutils bzip2 cairo cdparanoia check check-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils file filesystem fillup findutils fontconfig freetype2 gawk gcc gcc42 gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-vfs2 gnome-vfs2-lang grep groff gstreamer010 gstreamer010-devel gstreamer010-lang gstreamer010-plugins-base gstreamer010-plugins-base-devel gtk2 gzip hicolor-icon-theme info insserv keyutils-libs krb5 less libacl libasound2 libattr libbz2-1 libbz2-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat1 libgcc42 libglade2 libgomp42 libjpeg libltdl-3 libmudflap42 libogg liboil libopenssl0_9_8 libpng libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtheora0 libtiff3 libtool libusb libuuid1 libvisual libvolume_id libvorbis libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openssl-certs orbit2 pam pam-modules pango patch pcre pcre-devel perl perl-base permissions pkg-config popt popt-devel rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxcb xorg-x11-libxkbfile zlib zlib-devel


Name:           yauap
BuildRequires:  dbus-1-devel gstreamer010-devel gstreamer010-plugins-base-devel
%if %suse_version > 1010
BuildRequires:  dbus-1-glib-devel
%endif
Summary:        The useless audio player
Version:        0.2.1
Release:        21.3
Url:            http://www.nongnu.org/yauap/
License:        LGPL v2.1 or later
Group:          Productivity/Multimedia/Sound/Players
Requires:       gstreamer010 gstreamer010-plugins-base-oil gstreamer010-plugins-good dbus-1-x11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.gz
Patch0:         yauap-0.2.1-fixes.patch
Patch1:         yauap-0.2.1-missing-plugins.patch
Patch2:         yauap-quit.diff

%description
yauap is a simple commandline audio player based on GStreamer.



Authors:
--------
    Sascha Sommer <ssommer@suse.de>

%debug_package
%prep
%setup -q
%patch0 -p1
%patch1
%patch2

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%__make

%install
%makeinstall

%clean
%{__rm} -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/yauap

%changelog
* Fri Sep 28 2007 - dmueller@suse.de
- quit when the host closed stdin
* Wed Sep 19 2007 - ssommer@suse.de
- report missing plugins (#307754)
* Thu Aug 23 2007 - ssommer@suse.de
- make sure that the player stops before a new file starts to play
- fix segfault in player_get_scopedata (#301791)
* Tue Jul 31 2007 - ssommer@suse.de
- update to yauap 0.2.1:
  more verbose help output
* Fri Jun 01 2007 - dmueller@suse.de
- don't strip binaries
* Fri Jun 01 2007 - ssommer@suse.de
- strip binary
- package documentation
* Mon Jan 08 2007 - ssommer@suse.de
- initial package of version 0.1
